Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727958 - net-wireless/yatebts-6.0.0-r1 does not respect CFLAGS/LDFLAGS
Summary: net-wireless/yatebts-6.0.0-r1 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2020-06-11 16:16 UTC by Agostino Sarubbo
Modified: 2022-04-15 13:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,60.35 KB, text/plain)
2020-06-11 16:16 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-11 16:16:27 UTC
@@This is an auto-filed bug@@
If you think that a different summary clarifies the issue better, feel free to change it.

Issue: net-wireless/yatebts does not respect CFLAGS/LDFLAGS.
Discovered on: amd64

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-11 16:16:32 UTC
Created attachment 644404 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-11-07 06:35:32 UTC
tinderbox has reproduced this issue with version 6.0.0-r1 - Updating summary.
Comment 3 Larry the Git Cow gentoo-dev 2022-04-15 13:07:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83833850a05453001e883fd4cd56ba601b4ecb37

commit 83833850a05453001e883fd4cd56ba601b4ecb37
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-04-15 13:05:25 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-04-15 13:07:22 +0000

    net-wireless/yatebts: treeclean
    
    Closes: https://bugs.gentoo.org/606598
    Closes: https://bugs.gentoo.org/770739
    Closes: https://bugs.gentoo.org/809542
    Closes: https://bugs.gentoo.org/727958
    Closes: https://bugs.gentoo.org/741082
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 net-wireless/yatebts/Manifest                      |  1 -
 .../yatebts/files/yatebts-5.0.0-gcc6.patch         | 31 -------------
 .../yatebts-6.0.0-dont-mess-with-cflags.patch      | 12 -----
 .../yatebts-sgsnggsn-inetutils-hostname-fix.diff   | 14 ------
 net-wireless/yatebts/metadata.xml                  | 14 ------
 net-wireless/yatebts/yatebts-6.0.0-r1.ebuild       | 53 ----------------------
 net-wireless/yatebts/yatebts-9999.ebuild           | 53 ----------------------
 profiles/package.mask                              |  7 ---
 8 files changed, 185 deletions(-)